Bug 463706 - [LTC 6.0 FEAT] 201736:Suport for HiperSockets Sniffer
[LTC 6.0 FEAT] 201736:Suport for HiperSockets Sniffer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Network QE
: FutureFeature, Reopened
Depends On:
Blocks: 465490
  Show dependency treegraph
 
Reported: 2008-09-24 03:10 EDT by IBM Bug Proxy
Modified: 2010-11-11 10:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.32-s390-qeth-hs-traffic-analyzer.patch (24.19 KB, text/plain)
2009-12-07 06:10 EST, IBM Bug Proxy
no flags Details
linux-2.6.32-s390-qeth-hs-traffic-analyzer.patch (24.19 KB, text/plain)
2010-01-19 04:01 EST, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2008-09-24 03:10:58 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:23 EDT
1. Feature Overview:
Feature Id:	[201736]
a. Name of Feature:	Suport for HiperSockets Sniffer
b. Feature Description
The item suggests providing HiperSockets sniffer support for problem analysis tooling.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.28

3. Business Case
This item addresses a long standing customer requirement assuring also system internal network
connections (HiperSockets) can be supervised (by authorized LPARs only!) such that network issues
can be traced end to end.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-04 04:00:40 EST
This is being worked upstream for k 2.6.30
Comment 2 IBM Bug Proxy 2009-08-05 10:00:43 EDT
------- Comment From mgrf@de.ibm.com 2009-08-05 09:51 EDT-------
Hello Red Hat,
upstream target for this feature changed to k 2.6.32
Comment 3 IBM Bug Proxy 2009-08-20 03:41:36 EDT
------- Comment From mgrf@de.ibm.com 2009-08-20 03:39 EDT-------
Hello Red Hat,
Refuse to request this feature for RHEL 6
Closing feature request.
Comment 4 IBM Bug Proxy 2009-12-04 04:30:34 EST
------- Comment From gmuelas@de.ibm.com 2009-12-04 04:20 EDT-------
Hello Red Hat,

HiperSockets Network Traffic Analyzer HW Feature just got announced:
http://www-01.ibm.com/common/ssi/cgi-bin/ssialias?infotype=an&subtype=ca&supplier=897&appname=IBMLinkRedirect&letternum=ENUS109-678
It is very important for Red Hat and IBM to exploit it in a timely manner, that
is why we are reopening this request for RHEL 6.

This a feature specially designed for Linux on System z so that problem
isolation and resolution can now be made simpler by an enhancement to the
HiperSockets architecture. This function is designed to allow tracing of Layer
2 and Layer 3 HiperSockets network traffic. HS NTA allows Linux on System z to
control the trace for the internal virtual LAN to capture the records into host
memory and storage (file systems) using Linux on System z tools to format,
edit, and process the trace records for analysis by system programmers and
network administrators.

The Linux code is only s390x specific code.

Unfortunately yesterday went 2.6.32 stable, so although the standard merge window opens now, the networking merge window is already closed for 2.6.33 (as stated by Dave Miller), so this feature will go in 2.6.34 upstream.

Patch will follow for Red Hat's evaluation.

Thank you for your support!
Gonzalo Muelas Serrano.
Comment 5 IBM Bug Proxy 2009-12-07 06:10:51 EST
Created attachment 376658 [details]
linux-2.6.32-s390-qeth-hs-traffic-analyzer.patch


------- Comment (attachment only) From brueckner@linux.vnet.ibm.com 2009-12-07 06:08 EDT-------
Comment 6 Hendrik Brueckner 2009-12-14 08:27:48 EST
The patch has been posted to rhkernel on Dec 14. by Hendrik Brueckner <brueckner@redhat.com>.
Comment 7 John Jarvis 2010-01-15 14:25:47 EST
An update on the upstream status of this item indicates it missed 2.6.33 and is
targeted for 2.6.34.  Since we do not ship anything in RHEL not yet approved
upstream I am setting this as CLOSED DEFERRED and removing it from my tracker
of requested RHEL 6.0 features.  This item also got a NAK on rh-kernel list since it was not yet upstream.
Comment 8 Georg Markgraf 2010-01-18 11:19:43 EST
Hello Red Hat,
the code for this feature got upstream accepted now with kernel 2.6.34!

So it is upstream accepted - just not in 2.6.33.
Does that give the chance to get this included in RHEL6?

Thx for posting.
Comment 9 IBM Bug Proxy 2010-01-18 11:24:13 EST
------- Comment From mgrf@de.ibm.com 2010-01-18 11:13 EDT-------
Comment 10 IBM Bug Proxy 2010-01-19 04:01:09 EST
------- Comment From brueckner@linux.vnet.ibm.com 2010-01-19 03:59 EDT-------
The patch has been accepted upstream for inclusion into 2.6.34.

http://git.kernel.org/?p=linux/kernel/git/davem/net-next-2.6.git;a=commitdiff;h=76b11f8e270f04851774ff64b16e29e5a43d3a1a
Comment 11 IBM Bug Proxy 2010-01-19 04:01:15 EST
Created attachment 385340 [details]
linux-2.6.32-s390-qeth-hs-traffic-analyzer.patch
Comment 13 John Jarvis 2010-01-19 15:45:49 EST
If this new patch is included at this late date and there is a problem with it, the qeth driver will not work correctly.  Does IBM really want to take that chance?
Comment 14 IBM Bug Proxy 2010-01-20 05:10:48 EST
------- Comment From gmuelas@de.ibm.com 2010-01-20 05:04 EDT-------
(In reply to comment #16)
> If this new patch is included at this late date and there is a problem with it,
> the qeth driver will not work correctly.  Does IBM really want to take that
> chance?

Yes, IBM wants to take that chance. The code is relative isolated and we have already succesfully test it internally.

Thank you!
Comment 17 John Jarvis 2010-01-21 12:29:51 EST
IBM is signed up to test and provide feedback.
Comment 19 IBM Bug Proxy 2010-06-15 01:51:09 EDT
------- Comment From mgrf@de.ibm.com 2010-06-15 01:46 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 20 John Jarvis 2010-06-15 10:11:06 EDT
Setting VERIFIED flag based on latest feedback.
Comment 21 Hushan Jia 2010-07-22 01:27:21 EDT
Set to verified since IBM has verified this feature.
Comment 22 Hushan Jia 2010-07-22 01:29:01 EDT
Set to verified since IBM has verified this feature.
Comment 23 releng-rhel@redhat.com 2010-11-11 10:52:12 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.